## org.w3c.dom.svg
Interface SVGFilterPrimitiveStandardAttributes

All Superinterfaces:
  SVGStylable

All Known Subinterfaces:
  SVGFEBlendElement, SVGFEColorMatrixElement, SVGFEComponentTransferElement, SVGFECompositeElement, SVGFEConvolveMatrixElement, SVGFEDiffuseLightingElement, SVGFEDisplacementMapElement, SVGFEFloodElement, SVGFEGaussianBlurElement, SVGFEImageElement, SVGFEMergeElement, SVGFEMorphologyElement, SVGFEOffsetElement, SVGFESpecularLightingElement, SVGFETileElement, SVGFETurbulenceElement

All Known Implementing Classes:
  SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEFloodElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFESpecularLightingElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterPrimitiveStandardAttributes

public interface SVGFilterPrimitiveStandardAttributes
extends SVGStylable

Method Summary
`SVGAnimatedLength` `getHeight()`
`SVGAnimatedString` `getResult()`
`SVGAnimatedLength` `getWidth()`
`SVGAnimatedLength` `getX()`
`SVGAnimatedLength` `getY()`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Method Detail

### getX

    public SVGAnimatedLength getX()

### getY

    public SVGAnimatedLength getY()

### getWidth

    public SVGAnimatedLength getWidth()

### getHeight

    public SVGAnimatedLength getHeight()

### getResult

    public SVGAnimatedString getResult()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.